Rest apiEndpoints
Get OAuth Connection
Get a specific oauth connection for a user
Authorization
token AuthorizationBearer <token>
Recal API token
In: header
Path Parameters
provider*unknown
Value in
- "google"
- "microsoft"
userId*string
Match
^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$Query Parameters
showToken?unknown
Show access and refresh tokens
Value in
- "false"
- "true"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/user_123/oauth/google"{ "data": { "alive": true, "email": "user@example.com", "expiresAt": "string", "provider": "google", "scope": [ "string" ], "type": "string", "accessToken": null, "refreshToken": null }}